id from each domain when generating videos via POST /v1/videos/:domain_id.
Endpoint
Authentication
Bearer token. Pass your API key:
Authorization: Bearer <api_key>Response
Example
Response
200
Retrieve all domains associated with your Demomatic account.
id from each domain when generating videos via POST /v1/videos/:domain_id.
GET /v1/domains
Authorization: Bearer <api_key>Hide properties
Show domain properties
domain_id path parameter when generating videos.#4F46E5).React, Vue).curl --request GET \
--url https://api.demomatic.tech/v1/domains \
--header "Authorization: Bearer YOUR_API_KEY"
{
"data": {
"domains": [
{
"id": 45,
"application_name": "My SaaS App",
"url": "https://app.mycompany.com",
"description": "Main product application",
"primary_color": "#4F46E5",
"secondary_color": "#818CF8",
"framework": "React"
}
]
}
}
id as the domain_id path parameter when generating a new video with POST /v1/videos/:domain_id.